> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wiza.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Company Enrichment

> >
Enrich company data instantly. You can provide a company name, company domain, LinkedIn ID, or LinkedIn slug to get comprehensive company information.

This endpoint returns company data immediately, including industry, size, revenue, funding information, location, and more.

The enrichment costs 2 API credits per successful request. Credits are only charged when company data is successfully found and returned.

Rate limits apply: 30 requests per minute, 43,200 requests per day.




## OpenAPI

````yaml /swagger/v1/openapi.yaml post /api/company_enrichments
openapi: 3.0.1
info:
  title: Wiza API Documentation
  version: v1
servers:
  - url: https://wiza.co
    variables:
      defaultHost:
        default: wiza.co
security: []
paths:
  /api/company_enrichments:
    post:
      tags:
        - Company Enrichment
      summary: Company Enrichment
      description: >
        >

        Enrich company data instantly. You can provide a company name, company
        domain, LinkedIn ID, or LinkedIn slug to get comprehensive company
        information.


        This endpoint returns company data immediately, including industry,
        size, revenue, funding information, location, and more.


        The enrichment costs 2 API credits per successful request. Credits are
        only charged when company data is successfully found and returned.


        Rate limits apply: 30 requests per minute, 43,200 requests per day.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                company_name:
                  type: string
                  description: Company name to enrich (e.g., 'Wiza')
                  example: Wiza
                company_domain:
                  type: string
                  description: Company domain to enrich (e.g., 'wiza.co')
                  example: wiza.co
                company_linkedin_id:
                  type: string
                  description: LinkedIn company ID
                  example: '18663757'
                company_linkedin_slug:
                  type: string
                  description: LinkedIn company slug (from company URL)
                  example: wiza
              description: >-
                At least one of company_name, company_domain,
                company_linkedin_id, or company_linkedin_slug is required
            examples:
              With Company Name:
                summary: Company Name
                value:
                  company_name: Wiza
              With Company Domain:
                summary: Company Domain
                value:
                  company_domain: wiza.co
              With LinkedIn ID:
                summary: LinkedIn ID
                value:
                  company_linkedin_id: '18663757'
              With LinkedIn Slug:
                summary: LinkedIn Slug
                value:
                  company_linkedin_slug: wiza
              Multiple Parameters:
                summary: Multiple Parameters
                value:
                  company_name: Wiza
                  company_linkedin_slug: wiza
      responses:
        '200':
          description: successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 200
                      message:
                        type: string
                        example: Company data enriched successfully
                  type:
                    type: string
                    example: company_enrichment
                  data:
                    type: object
                    properties:
                      company_industry:
                        type: string
                        example: Computer software
                      company_size:
                        type: integer
                        example: 26
                      company_size_range:
                        type: string
                        example: 11-50
                      company_founded:
                        type: integer
                        example: 2019
                      company_revenue_range:
                        type: string
                        example: $10M-$25M
                      company_funding:
                        type: string
                        nullable: true
                        example: null
                      company_type:
                        type: string
                        example: private
                      company_description:
                        type: string
                        example: >-
                          Discover 830M+ contacts with real-time verified
                          emails, mobile numbers, and more. Trusted by 50k+
                          sales and recruiting professionals. Get started for
                          free.
                      company_ticker:
                        type: string
                        nullable: true
                        example: null
                      company_last_funding_round:
                        type: string
                        nullable: true
                        example: null
                      company_last_funding_amount:
                        type: string
                        nullable: true
                        example: null
                      company_last_funding_at:
                        type: string
                        nullable: true
                        example: null
                      company_location:
                        type: string
                        example: Newark, delaware, united states
                      company_twitter:
                        type: string
                        example: https://twitter.com/wiza_co
                      company_facebook:
                        type: string
                        example: https://www.facebook.com/wizaco-611180042722693
                      company_linkedin:
                        type: string
                        example: https://www.linkedin.com/company/wizainc
                      company_street:
                        type: string
                        nullable: true
                        example: null
                      company_locality:
                        type: string
                        example: Newark
                      company_region:
                        type: string
                        example: Delaware
                      company_postal_code:
                        type: string
                        nullable: true
                        example: null
                      company_country:
                        type: string
                        example: United states
                      domain:
                        type: string
                        example: wiza.co
                      company_domain:
                        type: string
                        example: wiza.co
                      company_name:
                        type: string
                        example: Wiza
                      company_linkedin_id:
                        type: string
                        example: '67160217'
                      credits:
                        type: object
                        properties:
                          api_credits:
                            type: object
                            properties:
                              total:
                                type: number
                                example: 2
                              company_credits:
                                type: number
                                example: 2
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Company not found
        '429':
          description: Rate Limit Exceeded
      security:
        - bearer_auth: []
components:
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Enter your bearer token (your API key) in the **Authorization** header
        in the format `Bearer {token}`

````